How cant I select grips with direction U or V without _SelU and _SelV in script?

Hi;
I cant use rs.NextObjectGrip() select the next grip with direction U or V, and use rs.PrevObjectGrip select the previous grip with direction U or V. But they just cant select one grip, Now I need to select a row of grips with direction U or V.
Is there some ideas or samples?

I am sorry for my english.

This sample script seems to work:

import rhinoscriptsyntax as rs
object_id = rs.GetObject("Select surface", rs.filter.surface)
if object_id:
    rs.EnableObjectGrips( object_id )
    count = rs.ObjectGripCount( object_id )
    for i in range(0, count, 2):
        rs.NextObjectGrip(object_id, i, 0, True)

Does this help?

Think you dale, it is very helpful :grinning: